<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cadastro</title>
    <script src="vue.global.js"></script>
    <link rel="stylesheet" href="stylecadastro.css"/>
</head>
<body>
    <div id="app">
        <p>Usuário: {{usuario}}</p>
        <!-- <p>Senha: {{senha}}</p> -->

        <p class="erro" :class="{entrada: mostrarEntrada}">{{erro}}</p>
        <p class="sucesso" :class="{entrada: mostrarEntrada}">{{sucesso}}</p>

        <!-- Processo de listagem dos usuários e senhas cadastrados nos vetores -->
        <div>
            <button @click="listarUsuarios">
                {{mostrarLista ? "Ocultar Lista" : "Mostrar Lista"}}
            </button>

            <!--Lista dos usuários cadastrados-->
            <ol v-if="mostrarLista">
                <li v-for="(usuario, index) in usuarios">
                    Usuário: {{usuario}}
                    <button class="botao" @click="excluirUsuario(usuario)">Excluir</button>
                </li><!--Fechamento linha-->
            </ol><!--Fechamento lista ordenada-->
        </div><!--Fechamento div-->

    </div><!--Fechamento div app-->
    <script src="processAtual.js"></script>
    
</body>
</html>